package TestApp;

use Moose;
extends 'Catalyst';

after setup_home => sub {
    my ($class) = @_;

    $class->config(
        "Plugin::ErrorCatcher" => {
            enable      => 1,
            emit_module => [
                'Catalyst::Plugin::ErrorCatcher::File',
            ],
        },
        'Plugin::ErrorCatcher::File' => {
            dir => $ENV{ErrorCatcherFileDir},
        },
    );
};

__PACKAGE__->setup(
    $ENV{ErrorCatcherName}
);

1;
